PyFinalizableInstance (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyFinalizableInstance

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PyInstance
                  |
                  +--org.python.core.PyFinalizableInstance

All Implemented Interfaces:
  java.io.Serializable

public class PyFinalizableInstance
extends PyInstance

A python class instance with __del__ defined.

This is a special class due to performance. Defining finalize() on a class, makes the class a lot slower.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.python.core.PyInstance
`__dict__`

Fields inherited from class org.python.core.PyObject
`__class__`

Constructor Summary
`PyFinalizableInstance(PyClass iclass)`

Methods inherited from class org.python.core.PyInstance
`__abs__, __add__, __and__, __call__, __cmp__, __coerce_ex__, __complex__, __contains__, __delattr__, __delitem__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __finditem__, __finditem__, __float__, __ge__, __getitem__, __gt__, __hex__, __iadd__, __iand__, __idiv__, __ilshift__, __imod__, __imul__, __init__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __jfindattr__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setitem__, __str__, __sub__, __tojava__, __xor__, hashCode, invoke_ex, invoke_ex, invoke_ex, invoke_ex, invoke, invoke, invoke`

Methods inherited from class org.python.core.PyObject
`__call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __delattr__, __delitem__, __delslice__, __delslice__, __dir__, __findattr__, __finditem__, __getattr__, __getattr__, __getitem__, __getslice__, __getslice__, __hash__, __idivmod__, __not__, __pow__, __setattr__, __setitem__, __setitem__, __setslice__, __setslice__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, invoke, invoke, isCallable, isMappingType, isNumberType, isSequenceType, safeRepr`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PyFinalizableInstance

    public PyFinalizableInstance(PyClass iclass)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage